%global srcname isodate

Summary:        An ISO 8601 date/time/duration parser and formatter
Name:           python-%{srcname}
Version:        0.6.1
Release:        6%{?dist}
License:        BSD
URL:            https://pypi.org/project/isodate/
Source0:        %pypi_source

BuildRequires:  python3-devel python3dist(pytest)
BuildArch:      noarch

%description
This module implements ISO 8601 date, time and duration parsing. The implementation follows
ISO8601:2004 standard, and implements only date/time\ representations mentioned in the standard. If
something is not mentioned there, then it is treated as non existent, and not as an allowed option.

For instance, ISO8601:2004 never mentions 2 digit years. So, it is not intended by this module to
support 2 digit years. (while it may still be valid as ISO date, because it is not explicitly
forbidden.) Another example is, when no time zone information is given for a time, then it should be
interpreted as local time, and not UTC.

As this module maps ISO 8601 dates/times to standard Python data types, like date, time, datetime
and timedelta, it is not possible to convert all possible ISO 8601 dates/times. For instance, dates
before 0001-01-01 are not allowed by the Python date and datetime classes. Additionally fractional
seconds are limited to microseconds. That means if the parser finds for instance nanoseconds it will
round it to microseconds.

%package -n python3-%{srcname}
Summary:        An ISO 8601 date/time/duration parser and formatter

%description -n python3-%{srcname}
This module implements ISO 8601 date, time and duration parsing. The implementation follows
ISO8601:2004 standard, and implements only date/time\ representations mentioned in the standard. If
something is not mentioned there, then it is treated as non existent, and not as an allowed option.

For instance, ISO8601:2004 never mentions 2 digit years. So, it is not intended by this module to
support 2 digit years. (while it may still be valid as ISO date, because it is not explicitly
forbidden.) Another example is, when no time zone information is given for a time, then it should be
interpreted as local time, and not UTC.

As this module maps ISO 8601 dates/times to standard Python data types, like date, time, datetime
and timedelta, it is not possible to convert all possible ISO 8601 dates/times. For instance, dates
before 0001-01-01 are not allowed by the Python date and datetime classes. Additionally fractional
seconds are limited to microseconds. That means if the parser finds for instance nanoseconds it will
round it to microseconds.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGES.txt README.rst TODO.txt

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 0.6.1-1
- initial build
